> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# asana-customization

> Asana Customization — manage custom fields, custom types, roles, allocations, budgets, and rates

**Server path:** `/asana-customization` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                                                                          | Description                                    |
| ----------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------- |
| [`asana_customization_create_allocation`](#asana_customization_create_allocation)                                             | Create an allocation                           |
| [`asana_customization_create_budget`](#asana_customization_create_budget)                                                     | Create a budget                                |
| [`asana_customization_create_custom_field`](#asana_customization_create_custom_field)                                         | Create a custom field                          |
| [`asana_customization_create_enum_option_for_custom_field`](#asana_customization_create_enum_option_for_custom_field)         | Create an enum option                          |
| [`asana_customization_create_rate`](#asana_customization_create_rate)                                                         | Create a rate                                  |
| [`asana_customization_create_role`](#asana_customization_create_role)                                                         | Create a role                                  |
| [`asana_customization_delete_allocation`](#asana_customization_delete_allocation)                                             | Delete an allocation                           |
| [`asana_customization_delete_budget`](#asana_customization_delete_budget)                                                     | Delete a budget                                |
| [`asana_customization_delete_custom_field`](#asana_customization_delete_custom_field)                                         | Delete a custom field                          |
| [`asana_customization_delete_rate`](#asana_customization_delete_rate)                                                         | Delete a rate                                  |
| [`asana_customization_delete_role`](#asana_customization_delete_role)                                                         | Delete a role                                  |
| [`asana_customization_get_allocation`](#asana_customization_get_allocation)                                                   | Get an allocation                              |
| [`asana_customization_get_allocations`](#asana_customization_get_allocations)                                                 | Get multiple allocations                       |
| [`asana_customization_get_budget`](#asana_customization_get_budget)                                                           | Get a budget                                   |
| [`asana_customization_get_budgets`](#asana_customization_get_budgets)                                                         | Get all budgets                                |
| [`asana_customization_get_custom_field`](#asana_customization_get_custom_field)                                               | Get a custom field                             |
| [`asana_customization_get_custom_field_settings_for_goal`](#asana_customization_get_custom_field_settings_for_goal)           | Get a goal's custom fields                     |
| [`asana_customization_get_custom_field_settings_for_portfolio`](#asana_customization_get_custom_field_settings_for_portfolio) | Get a portfolio's custom fields                |
| [`asana_customization_get_custom_field_settings_for_project`](#asana_customization_get_custom_field_settings_for_project)     | Get a project's custom fields                  |
| [`asana_customization_get_custom_field_settings_for_team`](#asana_customization_get_custom_field_settings_for_team)           | Get a team's custom fields                     |
| [`asana_customization_get_custom_fields_for_workspace`](#asana_customization_get_custom_fields_for_workspace)                 | Get a workspace's custom fields                |
| [`asana_customization_get_custom_type`](#asana_customization_get_custom_type)                                                 | Get a custom type                              |
| [`asana_customization_get_custom_types`](#asana_customization_get_custom_types)                                               | Get all custom types associated with an object |
| [`asana_customization_get_rate`](#asana_customization_get_rate)                                                               | Get a rate                                     |
| [`asana_customization_get_rates`](#asana_customization_get_rates)                                                             | Get multiple rates                             |
| [`asana_customization_get_role`](#asana_customization_get_role)                                                               | Get a role                                     |
| [`asana_customization_get_roles`](#asana_customization_get_roles)                                                             | Get multiple roles                             |
| [`asana_customization_insert_enum_option_for_custom_field`](#asana_customization_insert_enum_option_for_custom_field)         | Reorder a custom field's enum                  |
| [`asana_customization_update_allocation`](#asana_customization_update_allocation)                                             | Update an allocation                           |
| [`asana_customization_update_budget`](#asana_customization_update_budget)                                                     | Update a budget                                |
| [`asana_customization_update_custom_field`](#asana_customization_update_custom_field)                                         | Update a custom field                          |
| [`asana_customization_update_enum_option`](#asana_customization_update_enum_option)                                           | Update an enum option                          |
| [`asana_customization_update_rate`](#asana_customization_update_rate)                                                         | Update a rate                                  |
| [`asana_customization_update_role`](#asana_customization_update_role)                                                         | Update a role                                  |

***

## asana\_customization\_create\_allocation

Create an allocation

**Parameters:**

| Parameter    | Type      | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ------------ | --------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `opt_pretty` | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `opt_fields` | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                         |
| `data`       | object    | No       | —       | The data value                                                                                                                                                                                                                                                                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "assignee",
            "assignee.name",
            "created_by",
            "created_by.name",
            "effort",
            "effort.type",
            "effort.value",
            "end_date",
            "parent",
            "parent.name",
            "resource_subtype",
            "start_date"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      },
      "data": {
        "description": "The data value"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## asana\_customization\_create\_budget

Create a budget

**Parameters:**

| Parameter    | Type    | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ------------ | ------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `opt_pretty` | boolean | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `data`       | object  | No       | —       | The data value                                                                                                                                                                                                                                                                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "data": {
        "description": "The data value"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## asana\_customization\_create\_custom\_field

Create a custom field

**Parameters:**

| Parameter    | Type      | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ------------ | --------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `opt_pretty` | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `opt_fields` | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                         |
| `data`       | object    | No       | —       | The data value                                                                                                                                                                                                                                                                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "asana_created_field",
            "created_by",
            "created_by.name",
            "currency_code",
            "custom_label",
            "custom_label_position",
            "date_value",
            "date_value.date",
            "date_value.date_time",
            "default_access_level",
            "description",
            "display_value",
            "enabled",
            "enum_options",
            "enum_options.color",
            "enum_options.enabled",
            "enum_options.name",
            "enum_value",
            "enum_value.color",
            "enum_value.enabled",
            "enum_value.name",
            "format",
            "has_notifications_enabled",
            "id_prefix",
            "input_restrictions",
            "is_formula_field",
            "is_global_to_workspace",
            "is_value_read_only",
            "multi_enum_values",
            "multi_enum_values.color",
            "multi_enum_values.enabled",
            "multi_enum_values.name",
            "name",
            "number_value",
            "people_value",
            "people_value.name",
            "precision",
            "privacy_setting",
            "reference_value",
            "reference_value.name",
            "representation_type",
            "resource_subtype",
            "text_value",
            "type"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      },
      "data": {
        "description": "The data value"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## asana\_customization\_create\_enum\_option\_for\_custom\_field

Create an enum option

**Parameters:**

| Parameter          | Type      | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ------------------ | --------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `custom_field_gid` | string    | Yes      | —       | Globally unique identifier for the custom field.                                                                                                                                                                                                                                    |
| `opt_pretty`       | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `opt_fields`       | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                         |
| `data`             | object    | No       | —       | The data value                                                                                                                                                                                                                                                                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "custom_field_gid": {
        "type": "string",
        "description": "Globally unique identifier for the custom field."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "color",
            "enabled",
            "name"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      },
      "data": {
        "description": "The data value"
      }
    },
    "required": [
      "PCID",
      "custom_field_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_customization\_create\_rate

Create a rate

**Parameters:**

| Parameter    | Type      | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ------------ | --------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `opt_pretty` | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `opt_fields` | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                         |
| `data`       | object    | No       | —       | A generic Asana Resource, containing a globally unique identifier.                                                                                                                                                                                                                  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "created_by",
            "created_by.name",
            "currency_code",
            "parent",
            "parent.name",
            "rate",
            "resource",
            "resource.name"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      },
      "data": {
        "type": "object",
        "description": "A generic Asana Resource, containing a globally unique identifier.",
        "properties": {
          "gid": {
            "type": "string",
            "description": "Globally unique identifier of the resource, as a string."
          },
          "resource_type": {
            "type": "string",
            "description": "The base type of this resource."
          },
          "parent": {
            "type": "string",
            "description": "Globally unique ID of the parent object: project."
          },
          "resource": {
            "type": "string",
            "description": "Globally unique ID of the resource object: user or placeholder."
          },
          "rate": {
            "type": "number",
            "description": "The monetary value of the rate."
          }
        },
        "required": [
          "parent",
          "resource",
          "rate"
        ]
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## asana\_customization\_create\_role

Create a role

**Parameters:**

| Parameter    | Type      | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ------------ | --------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `opt_pretty` | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `opt_fields` | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                         |
| `data`       | object    | No       | —       | The data value                                                                                                                                                                                                                                                                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "base_role_type",
            "creation_time",
            "description",
            "is_standard_role",
            "modified_at",
            "name",
            "permissions",
            "permissions.allowed_guest_invites",
            "permissions.assign_roles",
            "permissions.create_and_edit_ai_automations",
            "permissions.create_app_authorization",
            "permissions.create_global_custom_fields",
            "permissions.create_pat_authorization",
            "permissions.create_team",
            "permissions.download_mobile_attachments",
            "permissions.export_project_data",
            "permissions.import_data",
            "permissions.manage_roles",
            "permissions.proactive_ai",
            "permissions.share_goal_with_domain",
            "permissions.share_portfolios_with_org",
            "permissions.standard_ai",
            "permissions.task_deletion_policy",
            "permissions.upload_attachments",
            "workspace",
            "workspace.name"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      },
      "data": {
        "description": "The data value"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## asana\_customization\_delete\_allocation

Delete an allocation

**Parameters:**

| Parameter        | Type    | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ---------------- | ------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `allocation_gid` | string  | Yes      | —       | Globally unique identifier for the allocation.                                                                                                                                                                                                                                      |
| `opt_pretty`     | boolean | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "allocation_gid": {
        "type": "string",
        "description": "Globally unique identifier for the allocation."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      }
    },
    "required": [
      "PCID",
      "allocation_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_customization\_delete\_budget

Delete a budget

**Parameters:**

| Parameter    | Type    | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ------------ | ------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `budget_gid` | string  | Yes      | —       | Globally unique identifier for the budget.                                                                                                                                                                                                                                          |
| `opt_pretty` | boolean | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "budget_gid": {
        "type": "string",
        "description": "Globally unique identifier for the budget."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      }
    },
    "required": [
      "PCID",
      "budget_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_customization\_delete\_custom\_field

Delete a custom field

**Parameters:**

| Parameter          | Type    | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ------------------ | ------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `custom_field_gid` | string  | Yes      | —       | Globally unique identifier for the custom field.                                                                                                                                                                                                                                    |
| `opt_pretty`       | boolean | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "custom_field_gid": {
        "type": "string",
        "description": "Globally unique identifier for the custom field."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      }
    },
    "required": [
      "PCID",
      "custom_field_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_customization\_delete\_rate

Delete a rate

**Parameters:**

| Parameter    | Type    | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ------------ | ------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `rate_gid`   | string  | Yes      | —       | Globally unique identifier for the rate.                                                                                                                                                                                                                                            |
| `opt_pretty` | boolean | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "rate_gid": {
        "type": "string",
        "description": "Globally unique identifier for the rate."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      }
    },
    "required": [
      "PCID",
      "rate_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_customization\_delete\_role

Delete a role

**Parameters:**

| Parameter    | Type    | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ------------ | ------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `role_gid`   | string  | Yes      | —       | Globally unique identifier for the role.                                                                                                                                                                                                                                            |
| `opt_pretty` | boolean | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "role_gid": {
        "type": "string",
        "description": "Globally unique identifier for the role."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      }
    },
    "required": [
      "PCID",
      "role_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_customization\_get\_allocation

Get an allocation

**Parameters:**

| Parameter        | Type      | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ---------------- | --------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `allocation_gid` | string    | Yes      | —       | Globally unique identifier for the allocation.                                                                                                                                                                                                                                      |
| `opt_pretty`     | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `opt_fields`     | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "allocation_gid": {
        "type": "string",
        "description": "Globally unique identifier for the allocation."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "assignee",
            "assignee.name",
            "created_by",
            "created_by.name",
            "effort",
            "effort.type",
            "effort.value",
            "end_date",
            "parent",
            "parent.name",
            "resource_subtype",
            "start_date"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      }
    },
    "required": [
      "PCID",
      "allocation_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_customization\_get\_allocations

Get multiple allocations

**Parameters:**

| Parameter    | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                    |
| ------------ | --------- | -------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `opt_pretty` | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.                                                                            |
| `parent`     | string    | No       | —       | Globally unique identifier for the project to filter allocations by.                                                                                                                                                                                                                                                                                           |
| `assignee`   | string    | No       | —       | Globally unique identifier for the user or placeholder the allocation is assigned to.                                                                                                                                                                                                                                                                          |
| `workspace`  | string    | No       | —       | Globally unique identifier for the workspace.                                                                                                                                                                                                                                                                                                                  |
| `limit`      | integer   | No       | —       | Results per page. The number of objects to return per page. The value must be between 1 and 100.                                                                                                                                                                                                                                                               |
| `offset`     | string    | No       | —       | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.* |
| `opt_fields` | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                                                                                                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "parent": {
        "type": "string",
        "description": "Globally unique identifier for the project to filter allocations by."
      },
      "assignee": {
        "type": "string",
        "description": "Globally unique identifier for the user or placeholder the allocation is assigned to."
      },
      "workspace": {
        "type": "string",
        "description": "Globally unique identifier for the workspace."
      },
      "limit": {
        "type": "integer",
        "description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
      },
      "offset": {
        "type": "string",
        "description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "assignee",
            "assignee.name",
            "created_by",
            "created_by.name",
            "effort",
            "effort.type",
            "effort.value",
            "end_date",
            "offset",
            "parent",
            "parent.name",
            "path",
            "resource_subtype",
            "start_date",
            "uri"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## asana\_customization\_get\_budget

Get a budget

**Parameters:**

| Parameter    | Type      | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ------------ | --------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `budget_gid` | string    | Yes      | —       | Globally unique identifier for the budget.                                                                                                                                                                                                                                          |
| `opt_pretty` | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `opt_fields` | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "budget_gid": {
        "type": "string",
        "description": "Globally unique identifier for the budget."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "actual",
            "actual.billable_status_filter",
            "actual.units",
            "actual.value",
            "budget_type",
            "estimate",
            "estimate.billable_status_filter",
            "estimate.enabled",
            "estimate.source",
            "estimate.units",
            "estimate.value",
            "parent",
            "parent.name",
            "total",
            "total.enabled",
            "total.units",
            "total.value"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      }
    },
    "required": [
      "PCID",
      "budget_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_customization\_get\_budgets

Get all budgets

**Parameters:**

| Parameter    | Type    | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ------------ | ------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `opt_pretty` | boolean | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `parent`     | string  | Yes      | —       | Globally unique identifier for the budget's parent object. This currently can only be a `project`.                                                                                                                                                                                  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "parent": {
        "type": "string",
        "description": "Globally unique identifier for the budget's parent object. This currently can only be a `project`."
      }
    },
    "required": [
      "PCID",
      "parent"
    ]
  }
  ```
</Expandable>

***

## asana\_customization\_get\_custom\_field

Get a custom field

**Parameters:**

| Parameter          | Type      | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ------------------ | --------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `custom_field_gid` | string    | Yes      | —       | Globally unique identifier for the custom field.                                                                                                                                                                                                                                    |
| `opt_pretty`       | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `opt_fields`       | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "custom_field_gid": {
        "type": "string",
        "description": "Globally unique identifier for the custom field."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "asana_created_field",
            "created_by",
            "created_by.name",
            "currency_code",
            "custom_label",
            "custom_label_position",
            "date_value",
            "date_value.date",
            "date_value.date_time",
            "default_access_level",
            "description",
            "display_value",
            "enabled",
            "enum_options",
            "enum_options.color",
            "enum_options.enabled",
            "enum_options.name",
            "enum_value",
            "enum_value.color",
            "enum_value.enabled",
            "enum_value.name",
            "format",
            "has_notifications_enabled",
            "id_prefix",
            "input_restrictions",
            "is_formula_field",
            "is_global_to_workspace",
            "is_value_read_only",
            "multi_enum_values",
            "multi_enum_values.color",
            "multi_enum_values.enabled",
            "multi_enum_values.name",
            "name",
            "number_value",
            "people_value",
            "people_value.name",
            "precision",
            "privacy_setting",
            "reference_value",
            "reference_value.name",
            "representation_type",
            "resource_subtype",
            "text_value",
            "type"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      }
    },
    "required": [
      "PCID",
      "custom_field_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_customization\_get\_custom\_field\_settings\_for\_goal

Get a goal's custom fields

**Parameters:**

| Parameter    | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                    |
| ------------ | --------- | -------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `goal_gid`   | string    | Yes      | —       | Globally unique identifier for the goal.                                                                                                                                                                                                                                                                                                                       |
| `opt_pretty` | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.                                                                            |
| `limit`      | integer   | No       | —       | Results per page. The number of objects to return per page. The value must be between 1 and 100.                                                                                                                                                                                                                                                               |
| `offset`     | string    | No       | —       | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.* |
| `opt_fields` | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                                                                                                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "goal_gid": {
        "type": "string",
        "description": "Globally unique identifier for the goal."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "limit": {
        "type": "integer",
        "description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
      },
      "offset": {
        "type": "string",
        "description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "custom_field",
            "custom_field.asana_created_field",
            "custom_field.created_by",
            "custom_field.created_by.name",
            "custom_field.currency_code",
            "custom_field.custom_label",
            "custom_field.custom_label_position",
            "custom_field.date_value",
            "custom_field.date_value.date",
            "custom_field.date_value.date_time",
            "custom_field.default_access_level",
            "custom_field.description",
            "custom_field.display_value",
            "custom_field.enabled",
            "custom_field.enum_options",
            "custom_field.enum_options.color",
            "custom_field.enum_options.enabled",
            "custom_field.enum_options.name",
            "custom_field.enum_value",
            "custom_field.enum_value.color",
            "custom_field.enum_value.enabled",
            "custom_field.enum_value.name",
            "custom_field.format",
            "custom_field.has_notifications_enabled",
            "custom_field.id_prefix",
            "custom_field.input_restrictions",
            "custom_field.is_formula_field",
            "custom_field.is_global_to_workspace",
            "custom_field.is_value_read_only",
            "custom_field.multi_enum_values",
            "custom_field.multi_enum_values.color",
            "custom_field.multi_enum_values.enabled",
            "custom_field.multi_enum_values.name",
            "custom_field.name",
            "custom_field.number_value",
            "custom_field.people_value",
            "custom_field.people_value.name",
            "custom_field.precision",
            "custom_field.privacy_setting",
            "custom_field.reference_value",
            "custom_field.reference_value.name",
            "custom_field.representation_type",
            "custom_field.resource_subtype",
            "custom_field.text_value",
            "custom_field.type",
            "is_important",
            "offset",
            "parent",
            "parent.name",
            "path",
            "project",
            "project.name",
            "uri"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      }
    },
    "required": [
      "PCID",
      "goal_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_customization\_get\_custom\_field\_settings\_for\_portfolio

Get a portfolio's custom fields

**Parameters:**

| Parameter       | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                    |
| --------------- | --------- | -------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `portfolio_gid` | string    | Yes      | —       | Globally unique identifier for the portfolio.                                                                                                                                                                                                                                                                                                                  |
| `opt_pretty`    | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.                                                                            |
| `limit`         | integer   | No       | —       | Results per page. The number of objects to return per page. The value must be between 1 and 100.                                                                                                                                                                                                                                                               |
| `offset`        | string    | No       | —       | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.* |
| `opt_fields`    | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                                                                                                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "portfolio_gid": {
        "type": "string",
        "description": "Globally unique identifier for the portfolio."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "limit": {
        "type": "integer",
        "description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
      },
      "offset": {
        "type": "string",
        "description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "custom_field",
            "custom_field.asana_created_field",
            "custom_field.created_by",
            "custom_field.created_by.name",
            "custom_field.currency_code",
            "custom_field.custom_label",
            "custom_field.custom_label_position",
            "custom_field.date_value",
            "custom_field.date_value.date",
            "custom_field.date_value.date_time",
            "custom_field.default_access_level",
            "custom_field.description",
            "custom_field.display_value",
            "custom_field.enabled",
            "custom_field.enum_options",
            "custom_field.enum_options.color",
            "custom_field.enum_options.enabled",
            "custom_field.enum_options.name",
            "custom_field.enum_value",
            "custom_field.enum_value.color",
            "custom_field.enum_value.enabled",
            "custom_field.enum_value.name",
            "custom_field.format",
            "custom_field.has_notifications_enabled",
            "custom_field.id_prefix",
            "custom_field.input_restrictions",
            "custom_field.is_formula_field",
            "custom_field.is_global_to_workspace",
            "custom_field.is_value_read_only",
            "custom_field.multi_enum_values",
            "custom_field.multi_enum_values.color",
            "custom_field.multi_enum_values.enabled",
            "custom_field.multi_enum_values.name",
            "custom_field.name",
            "custom_field.number_value",
            "custom_field.people_value",
            "custom_field.people_value.name",
            "custom_field.precision",
            "custom_field.privacy_setting",
            "custom_field.reference_value",
            "custom_field.reference_value.name",
            "custom_field.representation_type",
            "custom_field.resource_subtype",
            "custom_field.text_value",
            "custom_field.type",
            "is_important",
            "offset",
            "parent",
            "parent.name",
            "path",
            "project",
            "project.name",
            "uri"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      }
    },
    "required": [
      "PCID",
      "portfolio_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_customization\_get\_custom\_field\_settings\_for\_project

Get a project's custom fields

**Parameters:**

| Parameter     | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                    |
| ------------- | --------- | -------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `project_gid` | string    | Yes      | —       | Globally unique identifier for the project.                                                                                                                                                                                                                                                                                                                    |
| `opt_pretty`  | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.                                                                            |
| `limit`       | integer   | No       | —       | Results per page. The number of objects to return per page. The value must be between 1 and 100.                                                                                                                                                                                                                                                               |
| `offset`      | string    | No       | —       | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.* |
| `opt_fields`  | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                                                                                                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "project_gid": {
        "type": "string",
        "description": "Globally unique identifier for the project."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "limit": {
        "type": "integer",
        "description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
      },
      "offset": {
        "type": "string",
        "description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "custom_field",
            "custom_field.asana_created_field",
            "custom_field.created_by",
            "custom_field.created_by.name",
            "custom_field.currency_code",
            "custom_field.custom_label",
            "custom_field.custom_label_position",
            "custom_field.date_value",
            "custom_field.date_value.date",
            "custom_field.date_value.date_time",
            "custom_field.default_access_level",
            "custom_field.description",
            "custom_field.display_value",
            "custom_field.enabled",
            "custom_field.enum_options",
            "custom_field.enum_options.color",
            "custom_field.enum_options.enabled",
            "custom_field.enum_options.name",
            "custom_field.enum_value",
            "custom_field.enum_value.color",
            "custom_field.enum_value.enabled",
            "custom_field.enum_value.name",
            "custom_field.format",
            "custom_field.has_notifications_enabled",
            "custom_field.id_prefix",
            "custom_field.input_restrictions",
            "custom_field.is_formula_field",
            "custom_field.is_global_to_workspace",
            "custom_field.is_value_read_only",
            "custom_field.multi_enum_values",
            "custom_field.multi_enum_values.color",
            "custom_field.multi_enum_values.enabled",
            "custom_field.multi_enum_values.name",
            "custom_field.name",
            "custom_field.number_value",
            "custom_field.people_value",
            "custom_field.people_value.name",
            "custom_field.precision",
            "custom_field.privacy_setting",
            "custom_field.reference_value",
            "custom_field.reference_value.name",
            "custom_field.representation_type",
            "custom_field.resource_subtype",
            "custom_field.text_value",
            "custom_field.type",
            "is_important",
            "offset",
            "parent",
            "parent.name",
            "path",
            "project",
            "project.name",
            "uri"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      }
    },
    "required": [
      "PCID",
      "project_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_customization\_get\_custom\_field\_settings\_for\_team

Get a team's custom fields

**Parameters:**

| Parameter    | Type      | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ------------ | --------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `team_gid`   | string    | Yes      | —       | Globally unique identifier for the team.                                                                                                                                                                                                                                            |
| `opt_pretty` | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `opt_fields` | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "team_gid": {
        "type": "string",
        "description": "Globally unique identifier for the team."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "custom_field",
            "custom_field.asana_created_field",
            "custom_field.created_by",
            "custom_field.created_by.name",
            "custom_field.currency_code",
            "custom_field.custom_label",
            "custom_field.custom_label_position",
            "custom_field.date_value",
            "custom_field.date_value.date",
            "custom_field.date_value.date_time",
            "custom_field.default_access_level",
            "custom_field.description",
            "custom_field.display_value",
            "custom_field.enabled",
            "custom_field.enum_options",
            "custom_field.enum_options.color",
            "custom_field.enum_options.enabled",
            "custom_field.enum_options.name",
            "custom_field.enum_value",
            "custom_field.enum_value.color",
            "custom_field.enum_value.enabled",
            "custom_field.enum_value.name",
            "custom_field.format",
            "custom_field.has_notifications_enabled",
            "custom_field.id_prefix",
            "custom_field.input_restrictions",
            "custom_field.is_formula_field",
            "custom_field.is_global_to_workspace",
            "custom_field.is_value_read_only",
            "custom_field.multi_enum_values",
            "custom_field.multi_enum_values.color",
            "custom_field.multi_enum_values.enabled",
            "custom_field.multi_enum_values.name",
            "custom_field.name",
            "custom_field.number_value",
            "custom_field.people_value",
            "custom_field.people_value.name",
            "custom_field.precision",
            "custom_field.privacy_setting",
            "custom_field.reference_value",
            "custom_field.reference_value.name",
            "custom_field.representation_type",
            "custom_field.resource_subtype",
            "custom_field.text_value",
            "custom_field.type",
            "is_important",
            "parent",
            "parent.name",
            "project",
            "project.name"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      }
    },
    "required": [
      "PCID",
      "team_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_customization\_get\_custom\_fields\_for\_workspace

Get a workspace's custom fields

**Parameters:**

| Parameter       | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                    |
| --------------- | --------- | -------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `workspace_gid` | string    | Yes      | —       | Globally unique identifier for the workspace or organization.                                                                                                                                                                                                                                                                                                  |
| `opt_pretty`    | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.                                                                            |
| `limit`         | integer   | No       | —       | Results per page. The number of objects to return per page. The value must be between 1 and 100.                                                                                                                                                                                                                                                               |
| `offset`        | string    | No       | —       | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.* |
| `opt_fields`    | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                                                                                                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "workspace_gid": {
        "type": "string",
        "description": "Globally unique identifier for the workspace or organization."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "limit": {
        "type": "integer",
        "description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
      },
      "offset": {
        "type": "string",
        "description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "asana_created_field",
            "created_by",
            "created_by.name",
            "currency_code",
            "custom_label",
            "custom_label_position",
            "date_value",
            "date_value.date",
            "date_value.date_time",
            "default_access_level",
            "description",
            "display_value",
            "enabled",
            "enum_options",
            "enum_options.color",
            "enum_options.enabled",
            "enum_options.name",
            "enum_value",
            "enum_value.color",
            "enum_value.enabled",
            "enum_value.name",
            "format",
            "has_notifications_enabled",
            "id_prefix",
            "input_restrictions",
            "is_formula_field",
            "is_global_to_workspace",
            "is_value_read_only",
            "multi_enum_values",
            "multi_enum_values.color",
            "multi_enum_values.enabled",
            "multi_enum_values.name",
            "name",
            "number_value",
            "offset",
            "path",
            "people_value",
            "people_value.name",
            "precision",
            "privacy_setting",
            "reference_value",
            "reference_value.name",
            "representation_type",
            "resource_subtype",
            "text_value",
            "type",
            "uri"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      }
    },
    "required": [
      "PCID",
      "workspace_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_customization\_get\_custom\_type

Get a custom type

**Parameters:**

| Parameter         | Type      | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ----------------- | --------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `custom_type_gid` | string    | Yes      | —       | Globally unique identifier for the custom type.                                                                                                                                                                                                                                     |
| `opt_pretty`      | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `opt_fields`      | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "custom_type_gid": {
        "type": "string",
        "description": "Globally unique identifier for the custom type."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "name",
            "status_options",
            "status_options.color",
            "status_options.completion_state",
            "status_options.enabled",
            "status_options.name"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      }
    },
    "required": [
      "PCID",
      "custom_type_gid"
    ]
  }
  ```
</Expandable>

***

## asana\_customization\_get\_custom\_types

Get all custom types associated with an object

**Parameters:**

| Parameter    | Type      | Required | Default | Description                                                                                                                                                                                                                                                                                                                                                    |
| ------------ | --------- | -------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `project`    | string    | Yes      | —       | Globally unique identifier for the project, which is used as a filter when retrieving all custom types.                                                                                                                                                                                                                                                        |
| `opt_pretty` | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.                                                                            |
| `limit`      | integer   | No       | —       | Results per page. The number of objects to return per page. The value must be between 1 and 100.                                                                                                                                                                                                                                                               |
| `offset`     | string    | No       | —       | Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.* |
| `opt_fields` | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                                                                                                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "project": {
        "type": "string",
        "description": "Globally unique identifier for the project, which is used as a filter when retrieving all custom types."
      },
      "opt_pretty": {
        "type": "boolean",
        "description": "Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."
      },
      "limit": {
        "type": "integer",
        "description": "Results per page. The number of objects to return per page. The value must be between 1 and 100."
      },
      "offset": {
        "type": "string",
        "description": "Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. *Note: You can only pass in an offset that was returned to you via a previously paginated request.*"
      },
      "opt_fields": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "name",
            "offset",
            "path",
            "status_options",
            "status_options.color",
            "status_options.completion_state",
            "status_options.enabled",
            "status_options.name",
            "uri"
          ]
        },
        "description": "This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include."
      }
    },
    "required": [
      "PCID",
      "project"
    ]
  }
  ```
</Expandable>

***

## asana\_customization\_get\_rate

Get a rate

**Parameters:**

| Parameter    | Type      | Required | Default | Description                                                                                                                                                                                                                                                                         |
| ------------ | --------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `rate_gid`   | string    | Yes      | —       | Globally unique identifier for the rate.                                                                                                                                                                                                                                            |
| `opt_pretty` | boolean   | No       | —       | Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging. |
| `opt_fields` | string\[] | No       | —       | This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include.                                                                         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "rate_gid": {
        "type": "string",
        "description": "Globally unique identifier for the rate."
      },
[...]
